之前一直打包正常的APP,今天要重新打包一个IOS正式版,一打包就报错,提示如下:

引用

error: exportArchive: Symbols tool failed
Error Domain=IDEFoundationErrorDomain Code=1 "Symbols tool failed" UserInfo={NSLocalizedDescription=Symbols tool failed}


经百度查询,说是WWDR中间证书过期了,不过就我的印象中,好像从来就没使用过这个证书,百度里也说的不清不楚,什么到哪里下载然后安装,到链文件去找过期,可是我是windows系统,下载了AppleWWDRCA.cer,也安装了,装到哪里去也不知道,重新编译,报错依旧。

只能先放弃这个思路,先看看IOS的发布证书和描述文件是否过期,查看了证书没有过期啊,先不管那么多了,死马当活马医,生成新的IOS证书提交编译,报错信息变了,说描述文件关联证书不匹配,心中窃喜,以为就要成功了,马上生成了新的描述文件,提交编译。

结果错误信息依旧如上,看来根本就不是证书和描述文件的问题,仔细看了错误提示,是在不知道如何产生的。

把模块检查一遍,发现之前百度模块没有使用最新版的,重新最新版之后重新编译,一切正常!

在这里给大家提个醒,编译不通过,不一定全是我们自己证书的问题,还有可能调用第三方SDK的模块产生的错误,最好全部使用最新版的,当然之前也发送过最新版模块有bug的问题,记住不使用第三方SDK的就可以不使用最新版模块,如果使用第三方SDK模块的,建议全部使用最新版模块进行编译打包!
Tags:
APIcloud | 评论(0) | 引用(0) | 阅读(266)
发表评论
表情
emotemotemotemotemot
emotemotemotemotemot
emotemotemotemotemot
emotemotemotemotemot
emotemotemotemotemot
打开HTML
打开UBB
打开表情
隐藏
记住我
昵称   密码   游客无需密码
网址   电邮   [注册]